//usb_cmd.h


extern char cmd_save;
extern char usb_sta_buf[0x1000];
#define		usb_sta_bufw_inc	usb_sta_bufw++; usb_sta_bufw &=0xFFF;
#define		usb_sta_bufr_inc	usb_sta_bufr++; usb_sta_bufr &=0xFFF;


//int 4 Byte
//4+4+56=64

typedef union {
    struct{
        char cmd;
        char len;
        char str[62];
    };
    char pad[64];
} USB_CMD;
/*
#if (sizeof(USB_CMD) > 64)
error 64 USB_CMD
#endif
*/





#define		usb_cmd			((USB_CMD*)&PIPE1_BUF)
#define		usb_sta			((USB_CMD*)&PIPE2_BUF)



typedef struct{
	char (*pc)(USB_CMD *cmd);
}USB_CMD_PROC;



#define		USB_CMD_NULL					0		//
#define		USB_CMD_GETVERSION		1		//o[W擾
#define		USB_CMD_GETSTATUS			2		//R}hM/Xe[^XM



typedef struct{
	void (*pc)(USB_CMD *cmd);
}USB_STA_PROC;








void usb_cmd_start(USB_CMD *cmd);
void usb_sta_start(USB_CMD *sta);

void USB_CMD_SETSTATUS_(char c);








